MD(4) | Device Drivers Manual | MD(4)

# NAME

`md` —
memory disk driver

# SYNOPSIS

`pseudo-device md`

# DESCRIPTION

The `md` driver enables use of system or user memory as a disk. Memory for the disk must be allocated within the kernel or with mdconfig(8) before the `md` device may be used as a disk. Its behaviour is configured by the kernel options MEMORY_DISK_HOOKS, MEMORY_DISK_IS_ROOT, MEMORY_DISK_ROOT_SIZE, MEMORY_DISK_DYNAMIC, and MEMORY_DISK_SERVER.

# FILES

/dev/md??
  block mode memory disk devices.
/dev/rmd??
  raw mode memory disk devices.

# SEE ALSO

options(4), mdconfig(8), mdsetimage(8)

November 30, 2013 | NetBSD 9.2